Bug 1302007 - Radio streaming in general works really bad
Radio streaming in general works really bad
Status: NEW
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
: 1493430 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 09:10 EST by srakitnican
Modified: 2017-11-19 16:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"rhythmbox -d" example output of a failed stream (267.98 KB, text/plain)
2017-11-17 04:55 EST, srakitnican
no flags Details
"rhythmbox -d" example output with lots of buffering (737.11 KB, text/plain)
2017-11-17 06:34 EST, srakitnican
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 790497 None None None 2017-11-19 16:29 EST

  None (edit)
Description srakitnican 2016-01-26 09:10:33 EST
Description of problem: MP3 streams (when actually starts) there is no audio. For the OGG streams they tend to work if played for the first time after program starts. Sometimes process requires to be terminated manually from command line. If paused and then resumed stream begins to stutter for like every 10 sec. And is not a network buffering issue because it's the same for different stream qualities and radio channels. At some point stream just freezes, time stops.

When started from command line there are no errors related to what is happening with stream, so I am not sure how to debug this.


Version-Release number of selected component (if applicable):
rhythmbox-3.2.1-5.fc23.x86_64

How reproducible: Always


Steps to Reproduce:
1. Start rhythmbox
2. Play ogg stream e.g. Radio Paradise
3. Stop and resume.

Actual results: Stream stalls or stutters.


Expected results: Stream plays without artifacts.


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2016-09-15 11:16:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-09-16 03:08:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 10:12:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 srakitnican 2016-11-24 15:35:37 EST
Still an issue, stream goes for couple of seconds only, then there is no sound anymore. Stop/resume stream makes it work again for couple of seconds.
Comment 5 Fedora End Of Life 2017-11-16 14:11:53 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 srakitnican 2017-11-17 03:57:03 EST
FWIW a quick check, still an issue with Fedora 27 and OGG stream "Radio Paradise". Stream breaks after about half a minute. Not using Rhythmbox anymore though, so this bug may be closed if there is no one else who cares.
Comment 7 gkrithi8 2017-11-17 04:25:34 EST
Have never had any issues playing radio streams in rhythmbox. Tested "Radio Paradise" ( low / high ) on FC24 / FC27 with no issues. 

Run "rhythmbox -d' in a terminal, play the radio, wait for issues / stutter, close rhythmbox, and attach the output file here.
Comment 8 srakitnican 2017-11-17 04:55 EST
Created attachment 1354070 [details]
"rhythmbox -d" example output of a failed stream

Hi gkrithi8,

Stream ends (no sound) around message "[tick_cb] rb-shell-player.c:2580:" which repeats itself until Rhythmbox is closed or the stream is stopped.

Thanks for your input.
Comment 9 gkrithi8 2017-11-17 05:54:45 EST
Do the following:

1. Rhythmbox -> Preferences -> Playback -> Disable "Crossfading between tracks"
2. Close [ pkill ] and open rhythmbox.
3. Play "Radio Paradise" now, and see if the issue goes away.
Comment 10 srakitnican 2017-11-17 06:34 EST
Created attachment 1354129 [details]
"rhythmbox -d" example output with lots of buffering

Disabling crossfading seems to have eliminated the ending of a stream!

For the stuttering it seems that stream is buffering a lot on a first minute of the stream or so, later it settles down and there are no more issues.

[bus_cb] rb-player-gst.c:611: buffering - temporarily pausing playback

I think I have plenty of bandwidth, no other process on a network clogging the line so I believe this is not the issue.
Comment 11 gkrithi8 2017-11-17 06:48:43 EST
Rhythmbox uses gstreamer backend for playing tracks / streams. So, you can quickly do the following in a terminal to root cause issues.

$ gst-play-1.0 http://stream-dc1.radioparadise.com/rp_192m.ogg

You can observe the buffering here. If the stream plays fine here and not in rhythmbox, it is a rhythmbox issue. Else the issue is not in rhythmbox, and could possibly be a gstreamer related issue.

Also, you can report the cross fade issue to rhythmbox upstream at:

https://bugzilla.gnome.org/enter_bug.cgi?product=rhythmbox
Comment 12 gkrithi8 2017-11-19 04:35:28 EST
Relevant rhythmbox upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=790497
Comment 13 SteveT 2017-11-19 04:57:34 EST
*** Bug 1493430 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.